package com.ho.business.service;

import com.ho.business.entity.UserHabit;

/**
 * @author xwz
 * @desc: 用户习惯
 * @date 2023/7/4
 */
public interface UserHabitService {

    /**
     * 根据用户id查询用户习惯（只有一条记录）
     * @param userId
     * @return
     */
    UserHabit selectByUserId(String userId);

    /**
     * 新增用户习惯
     * @param userHabit
     * @return
     */
    int insertUserHabit(UserHabit userHabit);

    /**
     * 更新用户习惯
     * @param userHabit
     * @return
     */
    int updateById(UserHabit userHabit);

}
